# Generated by Django 4.2 on 2023-06-07 06:00

import common.utils
import datetime
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("missions", "0005_alter_mission_resubmit_reason"),
    ]

    operations = [
        migrations.AlterField(
            model_name="dailyallowance",
            name="date",
            field=models.DateField(default=datetime.date(2023, 6, 7)),
        ),
        migrations.AlterField(
            model_name="forex",
            name="date",
            field=models.DateField(default=datetime.date(2023, 6, 7)),
        ),
        migrations.RemoveField(
            model_name="mission",
            name="proofs",
        ),
        migrations.AlterField(
            model_name="mission",
            name="status",
            field=models.CharField(
                choices=[
                    ("Proposed", "Proposed"),
                    ("Resubmit", "Resubmit"),
                    ("Resubmitted", "Resubmitted"),
                    ("Approved", "Approved"),
                    ("Reimburse", "Reimburse"),
                    ("Reimburse Review", "Reimburse Review"),
                    ("Completed", "Completed"),
                ],
                default="Proposed",
                max_length=50,
            ),
        ),
        migrations.AlterField(
            model_name="proof",
            name="date",
            field=models.DateField(default=datetime.date(2023, 6, 7)),
        ),
        migrations.AlterField(
            model_name="proof",
            name="document",
            field=models.FileField(
                upload_to=common.utils.UploadToPathAndRename("missions/", "documents"),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["jpg", "jpeg", "png", "pdf"]
                    ),
                    common.utils.MaxSizeValidator("50MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="mission",
            name="proofs",
            field=models.ManyToManyField(
                blank=True,
                null=True,
                related_name="mission_proofs",
                to="missions.proof",
            ),
        ),
    ]
